User Delete API

Delete one user using their user_id.

Notice: Make sure the user_id is an urlencode string.

To remove a user, make a DELETE request to:

DELETE /v1/users/{user_id}

Replace {user_id} with the unique identifier of the user you wish to delete.

Response Format

The API will return a JSON object with a task_id that can be used to retrieve.

Example Error Response

{
  "message": "deleted",
  "data": {
    "task_id": "{task_id}"
  }
}

To check the exact response body of this task_id, make a GET request to the following endpoint:

GET /v1/users/_status/{task_id}

Replace {task_id} with the task_id returned from the response.

Path Parameters
  • user_id
    Type: string · User Id
    max length:  
    512
    required
Responses
  • application/json
  • application/json
  • application/json
  • application/json
  • application/json
  • application/json
Request Example for delete/v1/users/{user_id}
curl 'https://api.askmiso.com/v1/users/{user_id}?api_key=YOUR_SECRET_TOKEN' \
  --request DELETE
{
  "message": "success",
  "data": {
    "task_id": "string"
  }
}